package com.ssj.bean.kmt.kmt.domain;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

import com.ssj.bean.common.framework.core.domain.BaseEntity;

import java.util.Date;

@Entity
@Table(name="kmt_exercise_book_course")
public class KmtExerciseBookCourse extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 练习册id
     */
    private String bookId;

    /**
     * 科目
     */
    private String courseName;

    /**
     * 版本, 根据科目有不同的版本代号, 参考KnowledgeVersion
     */
    private Integer version;

    /**
     * 年级
     */
    private String grade;

    /**
     * 解析人
     */
    private String analysisUserId;

    /**
     * 上下册， 1上2下
     */
    private int semester;

    /**
     * 练习册名称
     */
    private String bookName;

    /**
     * 单元id
     */
    private String unitId;

    /**
     * 单元名称
     */
    private String unit;

    /**
     * 课时名称
     */
    private String period;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 备注
     */
    private String remark;

    /**
     * 单元排序，只用于排序，不能用于展示
     */
    private Long unitSort;

    /**
     * 课时排序
     */
    private Integer periodSort;

    private String auditingUserId;//审核人
    private String handleUserId;//加工人
    private int hadHandle; //是否已加工完, 0未加工完，1已加工完
    private int hadAuditing;//是否已审核完成， 0未审核完，1已审核完成
    private int analysisHandled; //是否解析加工 0解析未加工 1解析已加工
    private int isCommonFlag;//0共享的单元课时记录，1不同享的课时记录
    private String exerciseBookId;//关联kmt_exercise_book的主键id

    public String getBookId() {
        return bookId;
    }

    public void setBookId(String bookId) {
        this.bookId = bookId;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public Integer getVersion() {
        return version;
    }

    public void setVersion(Integer version) {
        this.version = version;
    }

    public String getGrade() {
        return grade;
    }

    public void setGrade(String grade) {
        this.grade = grade;
    }

    public String getAnalysisUserId() {
        return analysisUserId;
    }

    public void setAnalysisUserId(String analysisUserId) {
        this.analysisUserId = analysisUserId;
    }

    public int getSemester() {
        return semester;
    }

    public void setSemester(int semester) {
        this.semester = semester;
    }

    public String getBookName() {
        return bookName;
    }

    public void setBookName(String bookName) {
        this.bookName = bookName;
    }

    public String getUnitId() {
        return unitId;
    }

    public void setUnitId(String unitId) {
        this.unitId = unitId;
    }

    public String getUnit() {
        return unit;
    }

    public void setUnit(String unit) {
        this.unit = unit;
    }

    public String getPeriod() {
        return period;
    }

    public void setPeriod(String period) {
        this.period = period;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public Long getUnitSort() {
        return unitSort;
    }

    public void setUnitSort(Long unitSort) {
        this.unitSort = unitSort;
    }

    public Integer getPeriodSort() {
        return periodSort;
    }

    public void setPeriodSort(Integer periodSort) {
        this.periodSort = periodSort;
    }

    public String getAuditingUserId() {
        return auditingUserId;
    }

    public void setAuditingUserId(String auditingUserId) {
        this.auditingUserId = auditingUserId;
    }

    public String getHandleUserId() {
        return handleUserId;
    }

    public void setHandleUserId(String handleUserId) {
        this.handleUserId = handleUserId;
    }

    public int getHadHandle() {
        return hadHandle;
    }

    public void setHadHandle(int hadHandle) {
        this.hadHandle = hadHandle;
    }

    public int getHadAuditing() {
        return hadAuditing;
    }

    public void setHadAuditing(int hadAuditing) {
        this.hadAuditing = hadAuditing;
    }

    public int getAnalysisHandled() {
        return analysisHandled;
    }

    public void setAnalysisHandled(int analysisHandled) {
        this.analysisHandled = analysisHandled;
    }

    public int getIsCommonFlag() {
        return isCommonFlag;
    }

    public void setIsCommonFlag(int isCommonFlag) {
        this.isCommonFlag = isCommonFlag;
    }

    @Column(name = "exercise_book_id", updatable = false)
    public String getExerciseBookId() {
        return exerciseBookId;
    }

    public void setExerciseBookId(String exerciseBookId) {
        this.exerciseBookId = exerciseBookId;
    }
}
